com.corticon.eclipse.studio.operations.core

## Interface IOperationsModelAPI

- All Superinterfaces:
    IModelAPI

      public interface IOperationsModelAPI
      extends IModelAPI

  The Operations Model API provides a standardized interface for querying built-in and extended operations. The API is used to build and manage the operations tree.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ICON_OPERATOR_BINARY` Operator icon identifiers: Binary operator.
    `static int` | `ICON_OPERATOR_COLLECTION` Operator icon identifiers: Collection operator.
    `static int` | `ICON_OPERATOR_COLLECTION_EXTENDED` Operator icon identifiers: Extended operator (collection).
    `static int` | `ICON_OPERATOR_FOLDER` Operator icon identifiers: Folder.
    `static int` | `ICON_OPERATOR_FUNCTION` Operator icon identifiers: Function.
    `static int` | `ICON_OPERATOR_FUNCTION_EXTENDED` Operator icon identifiers: Extended operator (function).
    `static int` | `ICON_OPERATOR_INTRINSIC_FUNCTION` Operator icon identifiers: Intrinsic function.
    `static int` | `ICON_OPERATOR_LITERAL` Operator icon identifiers: Literal.
    `static int` | `ICON_OPERATOR_UNARY` Operator icon identifiers: Unary operator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.rulesemf.operationsmodel.ExtendedOperatorSet` | `findExtendedOperatorSet()` Return a reference to the ExtendedOperatorSet, if it exists in the ResourceSet.
    `com.corticon.rulesemf.operationsmodel.OperatorNode` | `findOperatorNode(java.lang.String astrOperatorNodeID)` Return a reference to the OperatorNode bearing the specified ID.
    `com.corticon.rulesemf.operationsmodel.OperatorNode` | `findOperatorNodeByName(java.lang.String astrOperatorName, boolean abInputBase)` Return a reference to the first operator node that matches the specified base or localized operator name.
    `com.corticon.rulesemf.operationsmodel.OperatorNode` | `findOperatorNodeRoot()` Return a reference to the root node of the operator tree.
    `com.corticon.rulesemf.operationsmodel.OperatorTree` | `findOperatorTree()` Return a reference to the OperatorTree.
    `java.util.List<java.lang.String>` | `getListServiceCalloutNames(boolean abIncludeBlankItem, boolean abBase)` Return a list of base or localized fully-qualified service call-out names culled from the extended operators.
    `java.util.List<com.corticon.rulesemf.operationsmodel.OperatorNode>` | `getOperatorChildren(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Get a list of children of the specified OperatorNode.
    `int` | `getOperatorIcon(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Given an OperatorNode, return an integer constant corresponding to the icon to be displayed in the Operator tree view (e.g., IOperationsModelAPI.ICON_OPERATOR_LITERAL).
    `java.lang.String` | `getOperatorName(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Given an OperatorNode, return a localized operator name.
    `java.lang.String` | `getOperatorParameters(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Given an OperatorNode, return a localized parameters string.
    `java.lang.Object` | `getOperatorParent(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Return the parent of the specified OperatorNode.
    `java.lang.String` | `getOperatorText(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Given an OperatorNode, return localized text to be displayed adjacent to the icon in the operations tree.
    `java.lang.String` | `getOperatorTooltip(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Given an OperatorNode, return a localized tool tip.
    `java.lang.String` | `getServiceCalloutDescription(java.lang.String astrServiceCalloutName, boolean abInputBase)` Given a Service Call-out name, return the localized Service Call-out description.
    `java.lang.String` | `getServiceCalloutName(java.lang.String astrServiceCalloutName, boolean abInputBase)` Convert a base Service Call-out name to localized form or vice-versa.
    `boolean` | `isOperatorNameInUse(java.lang.String astrOperatorName)` Determine whether the specified operator name is in use.
    `boolean` | `isStandAloneExtension(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)` Determine whether the operator node instance represents a method within a stand-alone extension.
    `boolean` | `isValidOperatorName(java.lang.String astrOperatorName, boolean abInputBase, boolean abCaseSensitive)` This will return whether the passed in name is a valid operator name.
    `void` | `load()` Load the EMF resources that represent the set of built-in operation, and optionally, user-defined extended operators if an extended operator resource can be located somewhere on the system class path.

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Field Detail

    - #### ICON_OPERATOR_FOLDER

          static final int ICON_OPERATOR_FOLDER

      Operator icon identifiers: Folder.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_LITERAL

          static final int ICON_OPERATOR_LITERAL

      Operator icon identifiers: Literal.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_BINARY

          static final int ICON_OPERATOR_BINARY

      Operator icon identifiers: Binary operator.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_UNARY

          static final int ICON_OPERATOR_UNARY

      Operator icon identifiers: Unary operator.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_FUNCTION

          static final int ICON_OPERATOR_FUNCTION

      Operator icon identifiers: Function.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_INTRINSIC_FUNCTION

          static final int ICON_OPERATOR_INTRINSIC_FUNCTION

      Operator icon identifiers: Intrinsic function.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_COLLECTION

          static final int ICON_OPERATOR_COLLECTION

      Operator icon identifiers: Collection operator.
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_FUNCTION_EXTENDED

          static final int ICON_OPERATOR_FUNCTION_EXTENDED

      Operator icon identifiers: Extended operator (function).
      See Also:
        Constant Field Values

    - #### ICON_OPERATOR_COLLECTION_EXTENDED

          static final int ICON_OPERATOR_COLLECTION_EXTENDED

      Operator icon identifiers: Extended operator (collection).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### findExtendedOperatorSet

          com.corticon.rulesemf.operationsmodel.ExtendedOperatorSet findExtendedOperatorSet()

      Return a reference to the ExtendedOperatorSet, if it exists in the ResourceSet. If no extended operators have been defined, this method will return `null`.
      Returns:
        ExtendedOperatorSet instance.

    - #### findOperatorNode

          com.corticon.rulesemf.operationsmodel.OperatorNode findOperatorNode(java.lang.String astrOperatorNodeID)

      Return a reference to the OperatorNode bearing the specified ID.
      Parameters:
        `astrOperatorNodeID` - Identifier of node to be found.
      Returns:
        OperatorNode instance.

    - #### findOperatorNodeByName

          com.corticon.rulesemf.operationsmodel.OperatorNode findOperatorNodeByName(java.lang.String astrOperatorName,
                                                                                  boolean abInputBase)

      Return a reference to the first operator node that matches the specified base or localized operator name.
      Parameters:
        `astrOperatorName` - Base or localized operator name.
        `abInputBase` - `true` if operator is supplied in base form.
      Returns:
        OperatorNode instance.

    - #### findOperatorNodeRoot

          com.corticon.rulesemf.operationsmodel.OperatorNode findOperatorNodeRoot()

      Return a reference to the root node of the operator tree.
      Returns:
        OperatorNode Root OperatorNode instance.

    - #### findOperatorTree

          com.corticon.rulesemf.operationsmodel.OperatorTree findOperatorTree()

      Return a reference to the OperatorTree.
      Returns:
        OperatorTree OperatorTree instance.

    - #### getListServiceCalloutNames

          java.util.List<java.lang.String> getListServiceCalloutNames(boolean abIncludeBlankItem,
                                                                    boolean abBase)

      Return a list of base or localized fully-qualified service call-out names culled from the extended operators. The list may optionally include a blank value at the top.
      Parameters:
        `abIncludeBlankItem` - `true` to include blank item.
        `abBase` - `true` to return base values.
      Returns:
        List of all service call-out names.

    - #### getOperatorChildren

          java.util.List<com.corticon.rulesemf.operationsmodel.OperatorNode> getOperatorChildren(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Get a list of children of the specified OperatorNode.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        List of child OperatorNode instances.

    - #### getOperatorIcon

          int getOperatorIcon(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Given an OperatorNode, return an integer constant corresponding to the icon to be displayed in the Operator tree view (e.g., IOperationsModelAPI.ICON_OPERATOR_LITERAL).
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        Integer constant specifying which icon should be displayed.

    - #### getOperatorName

          java.lang.String getOperatorName(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Given an OperatorNode, return a localized operator name.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        Operator name.

    - #### getOperatorParameters

          java.lang.String getOperatorParameters(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Given an OperatorNode, return a localized parameters string. If the operator has no parameters, this method will return `null`.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        Parameters string.

    - #### getOperatorParent

          java.lang.Object getOperatorParent(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Return the parent of the specified OperatorNode.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        Parent OperatorNode instance.

    - #### getOperatorText

          java.lang.String getOperatorText(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Given an OperatorNode, return localized text to be displayed adjacent to the icon in the operations tree.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        Localized text display operator node.

    - #### getOperatorTooltip

          java.lang.String getOperatorTooltip(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Given an OperatorNode, return a localized tool tip. If the operator has no tool tip, this method will return `null`.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        Parameters string.

    - #### getServiceCalloutDescription

          java.lang.String getServiceCalloutDescription(java.lang.String astrServiceCalloutName,
                                                      boolean abInputBase)

      Given a Service Call-out name, return the localized Service Call-out description.
      Parameters:
        `astrServiceCalloutName` - Fully-qualified Service Call-out name.
        `abInputBase` - `true` if Service Call-out name is expressed in base form.
      Returns:
        Localized service Call-out description.

    - #### getServiceCalloutName

          java.lang.String getServiceCalloutName(java.lang.String astrServiceCalloutName,
                                               boolean abInputBase)

      Convert a base Service Call-out name to localized form or vice-versa.
      Parameters:
        `astrServiceCalloutName` - Fully-qualified Service Call-out name.
        `abInputBase` - `true` if Service Call-out name is expressed in base form.
      Returns:
        Base or localized Service Call-out name.

    - #### isOperatorNameInUse

          boolean isOperatorNameInUse(java.lang.String astrOperatorName)

      Determine whether the specified operator name is in use. This function covers all operators (including extended operators), covers base plus all locales, and is case insensitive.
      Parameters:
        `astrOperatorName` - Operator name to test.
      Returns:
        `true` if the operator name is currently in use.

    - #### isStandAloneExtension

          boolean isStandAloneExtension(com.corticon.rulesemf.operationsmodel.OperatorNode aOperatorNode)

      Determine whether the operator node instance represents a method within a stand-alone extension.
      Parameters:
        `aOperatorNode` - OperatorNode instance.
      Returns:
        `true` if the node is a method in a stand-alone extension.

    - #### load

          void load()

      Load the EMF resources that represent the set of built-in operation, and optionally, user-defined extended operators if an extended operator resource can be located somewhere on the system class path.

    - #### isValidOperatorName

          boolean isValidOperatorName(java.lang.String astrOperatorName,
                                    boolean abInputBase,
                                    boolean abCaseSensitive)

      This will return whether the passed in name is a valid operator name.
      Parameters:
        `astrOperatorName` - Base or localized operator name.
        `abInputBase` - `true` if operator is supplied in base form.
        `abCaseSensitive` - Compare names based on case sensitivity.
      Returns:
        `true` if operator name is valid.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.